=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
                docbook-xml (>= 4.5),
                docbook-xsl,
-               extra-cmake-modules (>= 5.44.0~),
-               libkf5archive-dev (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
+               extra-cmake-modules (>= 5.50.0~),
+               libkf5archive-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
                libxslt1-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.8.0~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kdoctools
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdoctools
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdoctools
@@ -26,7 +26,7 @@
 Multi-Arch: same
 Section: oldlibs
 Priority: optional
-Depends: libkf5doctools-dev (>= 5.44.0~), ${misc:Depends}
+Depends: libkf5doctools-dev (>= 5.50.0~), ${misc:Depends}
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 
@@ -50,10 +50,10 @@
 Multi-Arch: same
 Section: libdevel
 Depends: kdoctools5 (= ${binary:Version}),
-         libkf5archive-dev (>= 5.44.0~),
+         libkf5archive-dev (>= 5.50.0~),
          libkf5doctools5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         ${misc:Depends},
 Breaks: kdoctools-dev (<< 5.27.0-1ubuntu1~)
 Replaces: kdoctools-dev (<< 5.27.0-1ubuntu1~)
 Description: Development files for kdoctools5
@@ -70,7 +70,7 @@
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Tools to generate documentation in various formats from DocBook
- KDocTools is a set of tools to generate documentation in various formats from
- DocBook files.
+ KDocTools is a set of tools to generate documentation in various
+ formats from DocBook files.
  .
  This package is part of KDE Frameworks 5.
