=== debian/control ===
Source: kdoctools
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               docbook-xml (>= 4.5),
               docbook-xsl,
               extra-cmake-modules (>= 5.54.0~),
               libkf5archive-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               liburi-perl,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kdoctools
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdoctools
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdoctools.git

Package: kdoctools-dev
Depends: libkf5doctools-dev, ${misc:Depends}
Architecture: any
Multi-Arch: same
Priority: optional
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: kdoctools5
Section: doc
Architecture: any
Multi-Arch: foreign
Depends: docbook-xml (>= 4.5),
         docbook-xsl,
         libxml2-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5doctools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kdoctools5 (= ${binary:Version}),
         libkf5archive-dev (>= 5.54.0~),
         libkf5doctools5 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Breaks: kdoctools-dev (<< 5.23.0-2~), libkf5kdelibs4support-dev (<< 5.54)
Replaces: kdoctools-dev (<< 5.23.0-2~)
Description: Development files for kdoctools5
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files for kdoctools5.

Package: libkf5doctools5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various
 formats from DocBook files.
 .
 This package is part of KDE Frameworks 5.
Breaks: kio (<< 5.54)
